What are the system requirements needed to use Babbel?

You can use Babbel on your smartphone, tablet, laptop, and desktop computer. Here are the system requirements needed for your different devices.

Desktop

You don’t need to install any special software to use Babbel on your laptop or desktop computer. Babbel runs on all modern computers with an updated internet browser.

On your laptop or desktop, you can access Babbel through www.babbel.com. If you’re using an older computer, check to see if you meet these requirements:

  • Operating system: either Windows 7 or above, or Mac OS X 10.13 or above
  • A recent version of Chrome, Firefox, Safari or Edge 

Download a compatible browser:

To use Babbel's speech recognition, we generally recommend Chrome. If you are using Edge, Firefox or Safari, speech recognition is only available for learning languages German, Italian, Spanish and French.

Mobile

To use Babbel on the go, you’ll need to download the Babbel app for your mobile device. We have both an iOS (Apple) and Android version of our app, which you can download here.

  • If you have an Apple iPhone or iPad, you’ll need to be running iOS 15 or above and get the app from the Apple App Store
  • If you have an Android phone or tablet, you’ll need to be running Android 8.0 or above and get the app from the Google Play Store

Note:

The Babbel app is not supported on beta versions of iOS or Android, rooted devices or on those with a custom ROM.

Was this article helpful?